Bug 92545 - Spell Check "Correct All" Ignores final Word
Summary: Spell Check "Correct All" Ignores final Word
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2015-07-04 18:59 UTC by Joel Madero
Modified: 2018-11-20 03:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Spell Check Error (8.29 KB, application/vnd.oasis.opendocument.text)
2015-07-04 18:59 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2015-07-04 18:59:52 UTC
Created attachment 117048 [details]
Spell Check Error

Ubuntu 15.04
LibreOffice 3.3 through 5.1

Steps:
English Locale type "tha tha tha tha tha tha tha" in writer;
Move cursor to beginning of line (before first "tha");
Run spell check (F7);
Run "correct all" (should correct them to "they")

Observed:
All are corrected other than last word which is left as "tha"

Expected: Everything changes to "they"

See also: bug 46852 which is related to the "correct all" option
Comment 1 Gordo 2015-07-05 16:05:49 UTC
Reproducible.

I had to choose what word to correct to and I chose "that".

If the last word in the group of misspelled words is at the end of a paragraph then it is ignored.
With "tha tha tha tha tha test", all of "tha" are correctly changed.
With "tha tha tha tha tha test tha", the last "tha" is ignored.

Two paragraphs of "tha tha tha tha tha test tha" results in only the last word in the first paragraph being ignored.

To rule out this being just a problem with the first line of the document:
"This is a test"
"tha tha tha tha tha test tha"
"tha tha tha tha tha test tha"
Result:
"tha" at the end of the second paragraph is ignored.

Here is an occurence with the first word of the group in a paragraph before:
"This is tha test"
"tha tha tha tha tha test tha"
"tha tha tha tha tha test tha"
Result:
Every "tha" is corrected.

Windows Vista 64
Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Comment 2 QA Administrators 2016-09-20 10:14:32 UTC Comment hidden (obsolete)
Comment 3 tommy27 2017-11-19 09:46:59 UTC
still repro under Win8.1 x64 using LibO 5.3.6 and 5.4.2
Comment 4 QA Administrators 2018-11-20 03:43:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug